/*#########################################################################
#                                                                         #
#   Simple script shamelessly recopied from Cool Streams                  #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url )
{
    this.name = name;
    this.url = url;
}

var stationArray = new Array (
    new Station( "Mydonose Türk Pop"	,	"http://mydonoseturk.radyolarburada.com:7555/listen.pls"),
    new Station( "KRAL FM	"	,	"http://kralfmaac.radyolarburada.com:80/listen.pls"),
    new Station( "Radyo Mydonose"	,	"http://mydonose.radyolarburada.com:5255/listen.pls"),
    new Station( "Radyo Turkuvaz"	,	"http://radyoturkuvaz.radyolarburada.com:5050/listen.pls"),
    new Station( "SÜPER FM	"	,	"http://superfmaac.radyolarburada.com:9235/listen.pls"),
    new Station( "METRO FM	"	,	"http://metrofm.radyolarburada.com:9720/listen.pls"),
    new Station( "RADYO MEGA	"	,	"http://sunucu4.radyolarburada.com:1054/listen.pls"),
    new Station( "ROMANTİK TÜRK	"	,	"http://sunucu2.radyolarburada.com:5335/listen.pls"),
    new Station( "YÖN RADYO	"	,	"http://yonradyo.radyolarburada.com:8020/listen.pls"),
    new Station( "RADYO AŞK	"	,	"http://radyoask.radyolarburada.com:8020/listen.pls"),
    new Station( "AŞK FM TÜRKİYE"	,	"http://askfm.radyolarburada.com:8060/listen.pls"),
    new Station( "DELTA FM	"	,	"http://deltafm.radyolarburada.com:2030/listen.pls"),
    new Station( "JOY FM	"	,	"http://joyfm.radyolarburada.com:10060/listen.pls"),
    new Station( "JOY TURK	"	,	"http://joyturkaac.radyolarburada.com:9055/listen.pls"),
    new Station( "RADYO ARTI	"	,	"http://89.149.217.74:8155/listen.pls"),
    new Station( "KRAL TÜRK	"	,	"http://sunucu2.radyolarburada.com:6565/listen.pls"),
    new Station( "MAX FM	"	,	"http://maxfm.radyolarburada.com:3300/listen.pls"),
    new Station( "RADYO BARIŞ	"	,	"http://sunucu2.radyolarburada.com:7711/listen.pls"),
    new Station( "RADYO BİLKENT	"	,	"http://sunucu2.radyolarburada.com:5000/listen.pls"),
    new Station( "RADYO MARTI	"	,	"http://sunucu4.radyolarburada.com:9880/listen.pls"),
    new Station( "RADYOLAR BURADA"	,	"http://rb.radyolarburada.com:8080/listen.pls"),
    new Station( "SOYLU FM	"	,	"http://sunucu2.radyolarburada.com:5913/listen.pls"),
    new Station( "VİZYON TÜRK	"	,	"http://sunucu2.radyolarburada.com:6786/listen.pls"),
    new Station( "YAŞAM RADYO	"	,	"http://sunucu2.radyolarburada.com:9555/listen.pls"),
    new Station( "ADANA KRAL FM	"	,	"http://sunucu2.radyolarburada.com:9070/listen.pls"),
    new Station( "ADANA SÜPER FM"	,	"ttp://sunucu2.radyolarburada.com:9010/listen.pls"),
    new Station( "AFŞİN FM	"	,	"http://sunucu2.radyolarburada.com:7546/listen.pls"),
    new Station( "AKDENİZ FM	"	,	"http://sunucu1.radyolarburada.com:7077/listen.pls"),
    new Station( "Akigo Radyo	"	,	"http://efe.radyolarburada.com:4848/listen.pls"),
    new Station( "AKTİF RADYO	"	,	"http://sunucu2.radyolarburada.com:5484/listen.pls"),
    new Station( "ANADOLU FM	"	,	"http://sunucu2.radyolarburada.com:9020/listen.pls"),
    new Station( "ASR FM	"	,       "http://sunucu2.radyolarburada.com:7733/listen.pls"),
    new Station( "AVRASYA TÜRK	"	,	"http://radyoavrasya.radyolarburada.com:1071/listen.pls"),
    new Station( "EFE FM	"	,	"http://efe.radyolarburada.com:3838/listen.pls"),
    new Station( "ENDER FM	"	,	"http://sunucu1.radyolarburada.com:9028/listen.pls"),
    new Station( "ENERGY FM	"	,	"http://sunucu2.radyolarburada.com:6000/listen.pls"),
    new Station( "ERDEMLİ FM	"	,	"http://sunucu2.radyolarburada.com:9056/listen.pls"),
    new Station( "ERZİNCAN FM	"	,	"http://sunucu2.radyolarburada.com:6547/listen.pls"),
    new Station( "FM 23	"	,		"http://sunucu2.radyolarburada.com:2323/listen.pls"),
    new Station( "GONCA FM	"	,	"http://sunucu2.radyolarburada.com:6690/listen.pls"),
    new Station( "GÜN RADYO	"	,	"http://sunucu4.radyolarburada.com:4444/listen.pls"),
    new Station( "HATAY GENÇ FM	"	,	"http://sunucu2.radyolarburada.com:4440/listen.pls"),
    new Station( "HATAY MAVİ RADYO"	,       "http://sunucu2.radyolarburada.com:4343/listen.pls"),
    new Station( "JEST FM	"	,	"http://jestfm.radyolarburada.com:8070/listen.pls"),
    new Station( "KALP FM	"	,	"http://kalpfm.radyolarburada.com:8088/listen.pls"),
    new Station( "KENT FM	"	,	"http://sunucu1.radyolarburada.com:5920/listen.pls"),
    new Station( "KOZAN FM	"	,	"http://sunucu2.radyolarburada.com:8080/listen.pls"),
    new Station( "MAVİ RADYO	"	,	"http://sunucu2.radyolarburada.com:7535/listen.pls"),
    new Station( "MELODİ FM	"	,	"http://sunucu2.radyolarburada.com:3060/listen.pls"),
    new Station( "MERSİN FM	"	,	"http://sunucu1.radyolarburada.com:9990/listen.pls"),
    new Station( "MİX FM	"	,	"http://sunucu2.radyolarburada.com:8015/listen.pls"),
    new Station( "MUTLU FM	"	,	"http://sunucu2.radyolarburada.com:2828/listen.pls"),
    new Station( "ONE FM	"	,	"http://sunucu1.radyolarburada.com:9085/listen.pls"),
    new Station( "ORDU FM	"	,	"http://sunucu2.radyolarburada.com:5060/listen.pls"),
    new Station( "ÖZLEM FM	"	,	"http://sunucu2.radyolarburada.com:9186/listen.pls"),
    new Station( "POLİS RADYOSU	"	,	"http://sunucu1.radyolarburada.com:7272/listen.pls"),
    new Station( "RADİO SARA FM 104"	,	"http://sunucu2.radyolarburada.com:5076/listen.pls"),
    new Station( "RADYO 2000	"	,	"http://sunucu1.radyolarburada.com:2277/listen.pls"),
    new Station( "RADYO 80	"	,	"http://sunucu2.radyolarburada.com:5033/listen.pls"),
    new Station( "RADYO AHENK	"	,	"http://sunucu2.radyolarburada.com:8833/listen.pls"),
    new Station( "RADYO AKDENİZ Mersin"	,	"http://sunucu4.radyolarburada.com:4466/listen.pls"),
    new Station( "RADYO AKDENİZ "	,	"http://akdenizfm.radyolarburada.com:9988/listen.pls"),
    new Station( "RADYO AKDENİZ Adana"	,	"http://sunucu1.radyolarburada.com:9099/listen.pls"),
    new Station( "RADYO AKTİF	"	,	"http://sunucu1.radyolarburada.com:5588/listen.pls"),
    new Station( "RADYO BALCALI	"	,	"http://sunucu2.radyolarburada.com:9590/listen.pls"),
    new Station( "RADYO BARIŞ	"	,	"http://sunucu2.radyolarburada.com:3737/listen.pls"),
    new Station( "RADYO BAŞKENT	"	,	"http://sunucu1.radyolarburada.com:5590/listen.pls"),
    new Station( "RADYO BÖLGE	"	,	"http://sunucu2.radyolarburada.com:9450/listen.pls"),
    new Station( "RADYO CEYHAN	"	,	"http://sunucu1.radyolarburada.com:9500/listen.pls"),
    new Station( "RADYO ÇUKUROVA"	,	"http://sunucu4.radyolarburada.com:6543/listen.pls"),
    new Station( "RADYO DOST	"	,	"http://sunucu1.radyolarburada.com:5151/listen.pls"),
    new Station( "RADYO EN	"	,	"http://sunucu2.radyolarburada.com:9222/listen.pls"),
    new Station( "RADYO ERKAN	"	,	"http://sunucu2.radyolarburada.com:8095/listen.pls"),
    new Station( "RADYO FIRAT	"	,	"http://sunucu2.radyolarburada.com:6726/listen.pls"),
    new Station( "RADYO FRESH	"	,	"http://sunucu4.radyolarburada.com:9040/listen.pls"),
    new Station( "RADYO GROSERİ	"	,	"http://groseri.radyolarburada.com:5555/listen.pls"),
    new Station( "RADYO GÜL	"	,	"http://sunucu2.radyolarburada.com:5686/listen.pls"),
    new Station( "RADYO GÜNEY	"	,	"http://sunucu2.radyolarburada.com:9920/listen.pls"),
    new Station( "RADYO GÜVEN	"	,	"http://sunucu2.radyolarburada.com:3333/listen.pls"),
    new Station( "RADYO HATMAR	"	,	"http://sunucu2.radyolarburada.com:7471/listen.pls"),
    new Station( "RADYO HAZAR	"	,	"http://sunucu1.radyolarburada.com:2395/listen.pls"),
    new Station( "RADYO HÜR	"	,	"http://sunucu1.radyolarburada.com:8165/listen.pls"),
    new Station( "RADYO IŞIK	"	,	"http://sunucu2.radyolarburada.com:7411/listen.pls"),
    new Station( "RADYO İHSAN	"	,	"http://sunucu1.radyolarburada.com:7473/listen.pls"),
    new Station( "RADYO KLAS	"	,	"http://sunucu2.radyolarburada.com:9123/listen.pls"),
    new Station( "RADYO KOLİK	"	,	"http://sunucu2.radyolarburada.com:6754/listen.pls"),
    new Station( "RADYO KÖRFEZ	"	,	"http://sunucu1.radyolarburada.com:9999/listen.pls"),
    new Station( "RADYO KULÜP	"	,	"http://sunucu1.radyolarburada.com:2305/listen.pls"),
    new Station( "RADYO MAVİ	"	,	"http://sunucu2.radyolarburada.com:6560/listen.pls"),
    new Station( "RADYO MEGA	"	,	"http://sunucu2.radyolarburada.com:8040/listen.pls"),
    new Station( "RADYO MER	"	,	"http://sunucu2.radyolarburada.com:9620/listen.pls"),
    new Station( "RADYO METROPOL"	,	"http://radyometropol.radyolarburada.com:5544/listen.pls"),
    new Station( "RADYO ON	"	,	"http://radyoon.radyolarburada.com:8040/listen.pls"),
    new Station( "RADYO OSTİM	"	,	"http://radyoostim.radyolarburada.com:8079/listen.pls"),
    new Station( "RADYO ÖZGÜR	"	,	"http://ozgurradyo.radyolarburada.com:8720/listen.pls"),
    new Station( "RADYO SHOW	"	,	"http://sunucu4.radyolarburada.com:6065/listen.pls"),
    new Station( "RADYO T	"	,	"http://sunucu2.radyolarburada.com:7575/listen.pls"),
    new Station( "RADYO ÜLKÜ	"	,	"http://sunucu4.radyolarburada.com:7878/listen.pls"),
    new Station( "RADYO VİZYON	"	,	"http://sunucu2.radyolarburada.com:9350/listen.pls"),
    new Station( "RADYO YAĞMUR	"	,	"http://sunucu1.radyolarburada.com:9912/listen.pls"),
    new Station( "RADYO YILDIZ	"	,	"http://sunucu2.radyolarburada.com:2006/listen.pls"),
    new Station( "RADYO MUBA	"	,	"http://sunucu2.radyolarburada.com:9080/listen.pls"),
    new Station( "RADYO TRABZON	"	,	"http://sunucu2.radyolarburada.com:8585/listen.pls"),
    new Station( "RENK FM	"	,	"http://sunucu2.radyolarburada.com:9025/listen.pls"),
    new Station( "ROMANTİK TÜRK	"	,	"http://sunucu2.radyolarburada.com:8845/listen.pls"),
    new Station( "SAM FM	"	,	"http://sunucu2.radyolarburada.com:9333/listen.pls"),
    new Station( "TARSUS STAR FM"	,	"http://sunucu2.radyolarburada.com:7572/listen.pls"),
    new Station( "YÖRÜK FM	"	,	"http://sunucu2.radyolarburada.com:7075/listen.pls"),
    new Station( "YUNUS FM	"	,	"http://sunucu4.radyolarburada.com:7171/listen.pls")   
);

function RadioTR()
{
    ScriptableServiceScript.call( this, "RadioTR", 1, "List of some Turkish radio streams", "Some really cool radio streams, hand picked for your listening pleasure by your friendly Amarok developers", false );
}

function onPopulating( level, callbackData, filter )
{
    Amarok.debug( " Populating station level..." );
    //add the station streams as leaf nodes
    for ( i = 0; i < stationArray.length; i++ )
    {
        item = Amarok.StreamItem;
        item.level = 0;
        item.callbackData = "";
        item.itemName = stationArray[i].name;
        item.playableUrl = stationArray[i].url;
        item.infoHtml = "A cool stream called " + item.itemName;
        script.insertItem( item );
    }
    script.donePopulating();
}

script = new RadioTR();
script.populate.connect( onPopulating );
